SortedNumericSelector.Type (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.search, class: SortedNumericSelector, enum: Type

Package org.apache.lucene.search

# Enum Class SortedNumericSelector.Type

java.lang.Object
java.lang.Enum<SortedNumericSelector.Type>
org.apache.lucene.search.SortedNumericSelector.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<SortedNumericSelector.Type>`, `Constable`

Enclosing class:
  `SortedNumericSelector`

public static enum SortedNumericSelector.Type extends Enum<SortedNumericSelector.Type>
Type of selection to perform.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAX`
  Selects the maximum value in the set
  `MIN`
  Selects the minimum value in the set

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SortedNumericSelector.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SortedNumericSelector.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MIN

    public static final SortedNumericSelector.Type MIN
    Selects the minimum value in the set

  - ### MAX

    public static final SortedNumericSelector.Type MAX
    Selects the maximum value in the set

- ## Method Details

  - ### values

    public static SortedNumericSelector.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SortedNumericSelector.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null